Debian Bug report logs - #583024
imagemagick: FTBFS: coders/tiff.c:1651: error: 'tiff_semaphore' undeclared (first use in this function)

version graph

Package: src:imagemagick; Maintainer for src:imagemagick is ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 25 May 2010 06:53:19 UTC

Severity: important

Found in version imagemagick/7:6.6.0.4-2

Fixed in versions imagemagick/7:6.6.2.6-1, imagemagick/8:6.6.9.7-1

Done: naoliv@debian.org (Nelson A. de Oliveira)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>:
Bug#583024; Package src:imagemagick. (Tue, 25 May 2010 06:53:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>. (Tue, 25 May 2010 06:53:22 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: imagemagick: FTBFS: coders/tiff.c:1651: error: 'tiff_semaphore' undeclared (first use in this function)
Date: Tue, 25 May 2010 08:39:50 +0200
Source: imagemagick
Version: 7:6.6.0.4-2
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100524 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>   CC     coders/coders_tiff_la-tiff.lo
> In file included from coders/png.c:79:
> ./magick/string-private.h: In function 'SiPrefixToDouble':
> ./magick/string-private.h:34: warning: implicit declaration of function 'strtod'
> ./magick/string-private.h: In function 'StringToInteger':
> ./magick/string-private.h:61: warning: implicit declaration of function 'strtol'
> ./magick/string-private.h: In function 'StringToUnsignedLong':
> ./magick/string-private.h:71: warning: implicit declaration of function 'strtoul'
> coders/png.c: In function 'IsMNG':
> coders/png.c:951: warning: implicit declaration of function 'memcmp'
> coders/ept.c: In function 'IsEPT':
> coders/ept.c:125: warning: implicit declaration of function 'memcmp'
> In file included from ./magick/studio.h:64,
>                  from coders/tiff.c:42:
> ./magick/magick-config.h:15:20: warning: extra tokens at end of #ifndef directive
> ./magick/magick-config.h:16:20: warning: ISO C99 requires whitespace after the macro name
> ./magick/magick-config.h:20:20: warning: extra tokens at end of #ifndef directive
> ./magick/magick-config.h:25:20: warning: extra tokens at end of #ifndef directive
> ./magick/magick-config.h:30:20: warning: extra tokens at end of #ifndef directive
> ./magick/magick-config.h:38:20: warning: extra tokens at end of #ifndef directive
> ./magick/magick-config.h:43:20: warning: extra tokens at end of #ifndef directive
> ./magick/magick-config.h:48:20: warning: extra tokens at end of #ifndef directive

[...]
> ./magick/magick-config.h:1300:20: warning: extra tokens at end of #ifndef directive
> ./magick/magick-config.h:1305:20: warning: extra tokens at end of #ifndef directive
> ./magick/magick-config.h:1363:21: warning: extra tokens at end of #ifndef directive
> ./magick/magick-config.h:1364:21: warning: ISO C99 requires whitespace after the macro name
> In file included from coders/tiff.c:76:
> ./magick/string-private.h: In function 'SiPrefixToDouble':
> ./magick/string-private.h:34: warning: implicit declaration of function 'strtod'
> ./magick/string-private.h: In function 'StringToInteger':
> ./magick/string-private.h:61: warning: implicit declaration of function 'strtol'coders/x.c:201: warning: 'WriteXImage' defined but not used
> 
> ./magick/string-private.h: In function 'StringToUnsignedLong':
> ./magick/string-private.h:71: warning: implicit declaration of function 'strtoul'
> coders/tiff.c: In function 'IsTIFF':
> coders/tiff.c:221: warning: implicit declaration of function 'memcmp'
> coders/tiff.c: In function 'RegisterTIFFImage':
> coders/tiff.c:1651: error: 'tiff_semaphore' undeclared (first use in this function)
> coders/tiff.c:1651: error: (Each undeclared identifier is reported only once
> coders/tiff.c:1651: error: for each function it appears in.)
> coders/tiff.c:1654: error: 'instantiate_key' undeclared (first use in this function)
> coders/tiff.c:1656: error: 'tiff_exception' undeclared (first use in this function)
> coders/tiff.c:1657: warning: implicit declaration of function '_exit'
> coders/tiff.c:1657: warning: incompatible implicit declaration of built-in function '_exit'
> coders/tiff.c: In function 'UnregisterTIFFImage':
> coders/tiff.c:1775: error: 'tiff_semaphore' undeclared (first use in this function)In file included from ./magick/studio.h:64,
>                  from coders/wmf.c:45:
> 
> ./magick/magick-config.h:15:20: warning: extra tokens at end of #ifndef directive
> ./magick/magick-config.h:16:20: warning: ISO C99 requires whitespace after the macro name
> ./magick/magick-config.h:20:20: warning: extra tokens at end of #ifndef directive
> ./magick/magick-config.h:25:20: warning: extra tokens at end of #ifndef directive
[...]
> ./magick/magick-config.h:1364:21: warning: ISO C99 requires whitespace after the macro name
> make[2]: *** [coders/coders_tiff_la-tiff.lo] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/05/24/imagemagick_7:6.6.0.4-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Severity set to 'important' from 'serious' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Tue, 25 May 2010 16:12:18 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Nelson A. de Oliveira <naoliv@debian.org> to control@bugs.debian.org. (Sun, 06 Jun 2010 22:39:04 GMT) Full text and rfc822 format available.

Reply sent to naoliv@debian.org (Nelson A. de Oliveira):
You have taken responsibility. (Sun, 20 Jun 2010 23:39:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 20 Jun 2010 23:39:09 GMT) Full text and rfc822 format available.

Message #14 received at 583024-close@bugs.debian.org (full text, mbox):

From: naoliv@debian.org (Nelson A. de Oliveira)
To: 583024-close@bugs.debian.org
Subject: Bug#583024: fixed in imagemagick 7:6.6.2.6-1
Date: Sun, 20 Jun 2010 23:34:28 +0000
Source: imagemagick
Source-Version: 7:6.6.2.6-1

We believe that the bug you reported is fixed in the latest version of
imagemagick, which is due to be installed in the Debian FTP archive:

imagemagick-dbg_6.6.2.6-1_i386.deb
  to main/i/imagemagick/imagemagick-dbg_6.6.2.6-1_i386.deb
imagemagick-doc_6.6.2.6-1_all.deb
  to main/i/imagemagick/imagemagick-doc_6.6.2.6-1_all.deb
imagemagick_6.6.2.6-1.debian.tar.bz2
  to main/i/imagemagick/imagemagick_6.6.2.6-1.debian.tar.bz2
imagemagick_6.6.2.6-1.dsc
  to main/i/imagemagick/imagemagick_6.6.2.6-1.dsc
imagemagick_6.6.2.6-1_i386.deb
  to main/i/imagemagick/imagemagick_6.6.2.6-1_i386.deb
imagemagick_6.6.2.6.orig.tar.bz2
  to main/i/imagemagick/imagemagick_6.6.2.6.orig.tar.bz2
libmagick++-dev_6.6.2.6-1_i386.deb
  to main/i/imagemagick/libmagick++-dev_6.6.2.6-1_i386.deb
libmagick++3_6.6.2.6-1_i386.deb
  to main/i/imagemagick/libmagick++3_6.6.2.6-1_i386.deb
libmagickcore-dev_6.6.2.6-1_i386.deb
  to main/i/imagemagick/libmagickcore-dev_6.6.2.6-1_i386.deb
libmagickcore3-extra_6.6.2.6-1_i386.deb
  to main/i/imagemagick/libmagickcore3-extra_6.6.2.6-1_i386.deb
libmagickcore3_6.6.2.6-1_i386.deb
  to main/i/imagemagick/libmagickcore3_6.6.2.6-1_i386.deb
libmagickwand-dev_6.6.2.6-1_i386.deb
  to main/i/imagemagick/libmagickwand-dev_6.6.2.6-1_i386.deb
libmagickwand3_6.6.2.6-1_i386.deb
  to main/i/imagemagick/libmagickwand3_6.6.2.6-1_i386.deb
perlmagick_6.6.2.6-1_i386.deb
  to main/i/imagemagick/perlmagick_6.6.2.6-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 583024@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nelson A. de Oliveira <naoliv@debian.org> (supplier of updated imagemagick package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sun, 20 Jun 2010 19:59:55 -0300
Source: imagemagick
Binary: imagemagick imagemagick-dbg imagemagick-doc libmagickcore3 libmagickcore3-extra libmagickcore-dev libmagickwand3 libmagickwand-dev libmagick++3 libmagick++-dev perlmagick
Architecture: source i386 all
Version: 7:6.6.2.6-1
Distribution: unstable
Urgency: low
Maintainer: ImageMagick Packaging Team <pkg-gmagick-im-team@lists.alioth.debian.org>
Changed-By: Nelson A. de Oliveira <naoliv@debian.org>
Description: 
 imagemagick - image manipulation programs
 imagemagick-dbg - debugging symbols for ImageMagick
 imagemagick-doc - document files of ImageMagick
 libmagick++-dev - object-oriented C++ interface to ImageMagick - development files
 libmagick++3 - object-oriented C++ interface to ImageMagick
 libmagickcore-dev - low-level image manipulation library - development files
 libmagickcore3 - low-level image manipulation library
 libmagickcore3-extra - low-level image manipulation library - extra codecs
 libmagickwand-dev - image manipulation library - development files
 libmagickwand3 - image manipulation library
 perlmagick - Perl interface to the ImageMagick graphics routines
Closes: 579775 582073 583024
Changes: 
 imagemagick (7:6.6.2.6-1) unstable; urgency=low
 .
   * New upstream release;
   * Change Recommends on ufraw to ufraw-batch (Closes: #579775);
   * Fix FTBFS when using dash to run the configure script, by setting
     CONFIG_SHELL=/bin/bash (Closes: #582073, #583024). Thank you, Niko Tyni!
Checksums-Sha1: 
 a5fa810808fdb16fe2796862be90c1b1834913c2 1883 imagemagick_6.6.2.6-1.dsc
 56bb70ab79abef0a68d6ffb582e8209e5c54eca7 8979157 imagemagick_6.6.2.6.orig.tar.bz2
 cdf8e1da7f1f94c8dd7ec9acfdb17cb7c70d3805 33016 imagemagick_6.6.2.6-1.debian.tar.bz2
 f0a823be04316f9cffa2d7b0095e28fbb3da87d6 108248 imagemagick_6.6.2.6-1_i386.deb
 15a3d48848618829555f3effbff3d3209bd09aa2 3405074 imagemagick-dbg_6.6.2.6-1_i386.deb
 4c3a7e4271f9bd23fa3fe7a7fa1d12b4f37e9504 4571778 imagemagick-doc_6.6.2.6-1_all.deb
 74b20ae792e7a5e37fe0809079e49ea18ed1f96e 1702004 libmagickcore3_6.6.2.6-1_i386.deb
 8ad9180f127d69893bc13b8223748af13038bc81 108430 libmagickcore3-extra_6.6.2.6-1_i386.deb
 2fdc8e2586514997ff239afe297808ad6e35363a 1121806 libmagickcore-dev_6.6.2.6-1_i386.deb
 df191893551569b4585b6f8423bb682e66e169a9 363182 libmagickwand3_6.6.2.6-1_i386.deb
 5b2dad82b0622b39cf015d73902dc51c2af51881 451902 libmagickwand-dev_6.6.2.6-1_i386.deb
 713c527bbd1b8ca6d3f2a1f93832ea2289914d8a 218634 libmagick++3_6.6.2.6-1_i386.deb
 c10b9aef8880d257738adf0b170199caa3fd8a81 254286 libmagick++-dev_6.6.2.6-1_i386.deb
 9e8a067482774023db527a97bb50bf9a6f62fd68 225170 perlmagick_6.6.2.6-1_i386.deb
Checksums-Sha256: 
 f283905de625c144f398e969c81ec426cfab7171c1ad028509f4ddd39fbdc57b 1883 imagemagick_6.6.2.6-1.dsc
 78e6e9b157b247f9c515d05a83b58581f04929a3e4c24964f6034b8ba0e7f86d 8979157 imagemagick_6.6.2.6.orig.tar.bz2
 4ca9d73186c74accee7d4c93e2cf8dfa4148ab86a6d8376b5db7e119e1609f0f 33016 imagemagick_6.6.2.6-1.debian.tar.bz2
 0d7433dde05553dff40857a1bd3bb94ef3781767cf259eb39f9f0128e45e5606 108248 imagemagick_6.6.2.6-1_i386.deb
 ddace028398a2a65646de0518df50e73f646729627fbb72af85b09d9dc38d952 3405074 imagemagick-dbg_6.6.2.6-1_i386.deb
 b3ef8c627265ba9f77f30f5ec149f2f23e2cb16a8e43eec674470fa22fd2e69d 4571778 imagemagick-doc_6.6.2.6-1_all.deb
 d88ada1899b10f31bf7c27f33b402d4f3bce667d196e2cf3645007034400d595 1702004 libmagickcore3_6.6.2.6-1_i386.deb
 36521cc21d99555307ae03839f8bb88fd613333641047aaaeab7f4e9f56f138b 108430 libmagickcore3-extra_6.6.2.6-1_i386.deb
 69c1b58a97ff9825272c9f372be5a71a366e74fea724a6467900c8a247474aa3 1121806 libmagickcore-dev_6.6.2.6-1_i386.deb
 4687c93d8f2426d194cf739ede502da39d3f020f2f0b56b00998a132a61b98da 363182 libmagickwand3_6.6.2.6-1_i386.deb
 493f93228ed9e0bcb7cc76bad6b7e29f56b4525486e40d1b6608bab6a615b747 451902 libmagickwand-dev_6.6.2.6-1_i386.deb
 ecbc4f737647d2f1c1f3f4763af20f4785bf6ba80cb7e5a4160692a8809bf412 218634 libmagick++3_6.6.2.6-1_i386.deb
 e4e222ca745e3858e78476aa778fe0bbebdeab0a3001636085bc3c59909aa855 254286 libmagick++-dev_6.6.2.6-1_i386.deb
 50503dc3653d7bdaf113126e2e7f3b0e050cc2dec08efedd58b63d9c315048e8 225170 perlmagick_6.6.2.6-1_i386.deb
Files: 
 e7cfc8bebcc47cdeec221c30efb1e3f0 1883 graphics optional imagemagick_6.6.2.6-1.dsc
 559365088ce6830c354a8dc80c356662 8979157 graphics optional imagemagick_6.6.2.6.orig.tar.bz2
 20048667ca8a5461f7e974b6439c9f49 33016 graphics optional imagemagick_6.6.2.6-1.debian.tar.bz2
 e4a7338c16b884766d84d3edc3e8c77c 108248 graphics optional imagemagick_6.6.2.6-1_i386.deb
 3fb5242138ba53f648de311d831dcb28 3405074 debug extra imagemagick-dbg_6.6.2.6-1_i386.deb
 5daa6da33118a80500e1cf69cd44a924 4571778 doc optional imagemagick-doc_6.6.2.6-1_all.deb
 631fa6374d5d18e8c4a9fd0f946d3061 1702004 libs optional libmagickcore3_6.6.2.6-1_i386.deb
 bc883418f5a2f83be4b9793bfd450a85 108430 libs optional libmagickcore3-extra_6.6.2.6-1_i386.deb
 7d820ee49a356b478c0a99bdf66dfe60 1121806 libdevel optional libmagickcore-dev_6.6.2.6-1_i386.deb
 4959dcf37d495a53df670751e11b5989 363182 libs optional libmagickwand3_6.6.2.6-1_i386.deb
 7b4dd778f428bf66297c716dba3859e3 451902 libdevel optional libmagickwand-dev_6.6.2.6-1_i386.deb
 b5cf43f2a49a6ab2d3ff37c5cfa89343 218634 libs optional libmagick++3_6.6.2.6-1_i386.deb
 3f976e23b7a6b077b1e06c1bf5570419 254286 libdevel optional libmagick++-dev_6.6.2.6-1_i386.deb
 4481e43bbf8765ade6f348ccc1c73e1f 225170 perl optional perlmagick_6.6.2.6-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAkweoW0ACgkQAQwuptkwlkSGJACfVPGA5MRK0ujK2qqk7jL0ZoJe
4AQAn0Ub6Qk2AW2qirtFFyOSGPsTIiBM
=DhCh
-----END PGP SIGNATURE-----





Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:12 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:43:57 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:43 GMT) Full text and rfc822 format available.

Marked as fixed in versions imagemagick/8:6.6.9.7-1. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:44 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:38:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:56:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.